clear; clc;
%% solution to Example 4.3 on Page 46

A = [-0.0028 0.0389 0 -32.1740 0;
     -0.065 -0.317  769.2960 0 0;
     0.0002 -0.001 -0.4272 0 0;
     0 0 1.0 0 0;
     0 -1 0 820 0];
 B = [1.44;
     -17.90;
     -1.1579;
     0 ;
     0];
 
 %% design controller
 f = 1;
 p1 = -0.001973;
 p2 = -0.1;
 p3 = -0.5;
 p4 = -1.5+1.5*1i;
 p5 = -1.5- 1.5*1i;
 
 n = 5;
 Q = [(p1 * eye(n) - A)^(-1)*B*f,(p2 * eye(n) - A)^(-1)*B*f, ...
     (p3 * eye(n) - A)^(-1)*B*f,(p4 * eye(n) - A)^(-1)*B*f,(p5 * eye(n) - A)^(-1)*B*f]';
 
 k1 = Q^(-1)*(-ones(n,1))
 eig(A - B*k1')
 
 %%
 k = [-0.0014 0.0053 -2.5498 -8.0768 -0.0008];
  eig(A - B*k)